Bug 819082 - Gnome-disk-utility (palimpsest) crashes when trying to attach disk image
Gnome-disk-utility (palimpsest) crashes when trying to attach disk image
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-04 15:26 EDT by Patrick Talbert
Modified: 2012-06-03 19:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-03 19:29:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Debug output (294.67 KB, application/octet-stream)
2012-05-04 15:47 EDT, Patrick Talbert
no flags Details
selinux alert browser output (3.40 KB, text/plain)
2012-05-09 16:48 EDT, Patrick Talbert
no flags Details

  None (edit)
Description Patrick Talbert 2012-05-04 15:26:52 EDT
Description of problem:

Any attempt to attach a disk image results in the program crashing.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Launch palimpsest
2. Click the PLUS button at bottom left corner of Disk Drives list.
3. Browse to and select an ISO image
4. Click Attach
Actual results:

Program crashes

Expected results:

Image mounted?

Additional info:

Does not seem to matter if 'Set up read-only loop device' is checked. Running as regular user or with sudo does not change result.

If run from console you get the following output:

patrick@crudora:~$ palimpsest 
g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.

Tried a few ISO images that work fine with an old fashioned mount -o loop
Comment 1 David Zeuthen 2012-05-04 15:38:53 EDT
Try running it like this

 $ G_DBUS_DEBUG=all palimpsest

and include the debug output. Thanks.
Comment 2 Patrick Talbert 2012-05-04 15:47:34 EDT
Created attachment 582202 [details]
Debug output

Here you are. Thank you!
Comment 3 David Zeuthen 2012-05-04 16:01:39 EDT
Oh, let me guess - you are running in SELinux enforcing mode, right? try permissive ('setenforce 0' as root). Does that fix the problem?
Comment 4 Patrick Talbert 2012-05-09 16:48:29 EDT
Created attachment 583381 [details]
selinux alert browser output

setenforce 0 does fix the problem.

Here is the selinux alert browser output.
Comment 5 David Zeuthen 2012-05-09 17:13:14 EDT
Thanks, reassigning to selinux-policy.

Dan: there are two different cases when udisksd exchanges file descriptors with other peers (remember that these D-Bus messages, including the file descriptors, pass through the message bus daemon):

1. when attaching a disk image file - see comment 0 for how to reproduce. In this case the unprivileged user app (typically Disks) passes a file descriptor from a file he opened (could be from anywhere)

2. when creating/restoring disk images - in this case udisksd passes a file descriptor for the underlying block device (e.g. /dev/sdb or /dev/sdb1) to the unprivileged user app (typically Disks). To reproduce, simply find an unused USB stick or similar with an unused partition. Then click the gears in the under Volumes and a menu appears [1]. Click "Create Disk Image" [2] and then "Start Creating..."

[1] : http://people.freedesktop.org/~david/palimpsest2-2012-03/05-palimpsest2-volume-menu.png
[2] : http://people.freedesktop.org/~david/palimpsest2-2012-03/15-palimpsest2-create-disk-image.png
Comment 6 Daniel Walsh 2012-05-18 15:33:14 EDT
Fixed in selinux-policy-3.10.0-126.fc17
Comment 7 Fedora Update System 2012-05-31 02:24:40 EDT
selinux-policy-3.10.0-128.fc17 has been submitted as an update for Fedora 17.
Comment 8 Fedora Update System 2012-06-01 13:07:11 EDT
Package selinux-policy-3.10.0-128.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-128.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-06-03 19:29:50 EDT
selinux-policy-3.10.0-128.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.